Subject: bug#68074: eshell sudo/doas does not work for aliases

From: Jim Porter <[email-masked]>
Date: Thu, 11 Jan 2024 13:15:21 -0800

On 1/11/2024 1:00 PM, Stefan Kangas wrote:
> Alfonso Sanchez-Beato <[email-masked]> writes:
> 
>> sudo/doas does not give the expected permissions when using an eshell alias:
[snip]
>> I have attached a patch with a possible fix.
> 
> Jim, could you take a look at this patch please?

I've been meaning to look at this in detail, but haven't had time. My 
gut feeling though is that we shouldn't have a special case in this code 
for when the alias starts with "cd". I'll have to do some testing with 
aliases and sudo in order to have a more-helpful answer though.

At a guess, I think a better place to add code for this is likely in 
em-tramp.el.